%define fedora 19
# This is the CRAN name
%global packname zoo
# This is the main package version
%global packver 1.7
# Note that some R packages do not use packrel
%global packrel 6

Name:             R-%{packname}
Version:          %{packver}.%{packrel}
Release:          alt1_5
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%{packver}-%{packrel}.tar.gz
License:          GPLv2
URL:              http://cran.r-project.org/web/packages/zoo/index.html
Group:            Engineering
Summary:          Z's ordered observations for irregular time series
BuildRequires:    R-devel
%if 0%{?fedora} >= 9 || 0%{?rhel} >= 5
BuildRequires: /usr/bin/latex texlive-latex-recommended
%else
BuildRequires: /usr/bin/latex texlive-latex-recommended
%endif
Requires:         R-base
Source44: import.info


%description
An S3 class with methods for totally ordered indexed observations. It is
particularly aimed at irregular time series of numeric vectors/matrices and
factors. zoo's key design goals are independence of a particular index/date/
time class and consistency with with ts and base R by providing methods to
extend standard generics. 


%prep
%setup -q -c -n %{packname}
#Fix line endings
sed -i -e 's/\r//' zoo/inst/doc/zoo*.Rnw


%build


%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}/R/library
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_libdir}/R/library %{packname}
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf $RPM_BUILD_ROOT%{_libdir}/R/library/R.css
#Couple other doc files
cp -p zoo/THANKS zoo/WISHLIST $RPM_BUILD_ROOT%{_libdir}/R/library/%{packname}/


%check
#We have to use --no-install because we don't have all of the suggested
#dependencies
# Also, we can't run this test on el4 because tex is missing utf8.def
%if 0%{?rhel} >= 5
%{_bindir}/R CMD check --no-install %{packname}
%endif

%files
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/demo
%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/CITATION
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/NEWS
%doc %{_libdir}/R/library/%{packname}/THANKS
%doc %{_libdir}/R/library/%{packname}/WISHLIST
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/libs


%changelog
* Thu May 02 2013 Igor Vlasenko <viy@altlinux.ru> 1.7.6-alt1_5
- initial fc import

